Logo Help Center

Supported operating systems for Elvis 5 Server

Compatibility of operating systems with Elvis 5 Server

The following information applies to running Elvis Server as a Search node, a Processing node, a Job Runner node, or any combination of these roles.

OS Hardware Supported?
Mac OS X 10.7 (Lion) 64bit Intel hardware Yes
Mac OS X 10.8 (Mountain Lion) 64bit Intel hardware Yes
Mac OS X 10.9 (Mavericks) 64bit Intel hardware Yes
Mac OS X 10.10 (Yosemite) 64bit Intel hardware Yes
Mac OS X 10.11 (El Capitan) 64bit Intel hardware Yes
Mac OS X 10.12 (Sierra) 1 64bit Intel hardware Yes
     
Windows Server 2008 1 64bit x86 compatible hardware Yes
Windows Server 2008 R2 2 64bit x86 compatible hardware Yes
Windows Server 2012 1 64bit x86 compatible hardware Yes
Windows Server 2012 R2 2 64bit x86 compatible hardware Yes
 
Linux CentOS/RHEL 6.3 – 6.7 3 64bit x86 compatible hardware Yes
Linux CentOS/RHEL 7 3, 4 64bit x86 compatible hardware Yes

Legend: Yes = combination is supported. - = combination of old and new software versions is not supported. tbd = to be determined.

1 Requires Elvis 5.15 or higher.

2 Using Elvis Server as a Processing Server on Windows requires Elvis 5.2 or higher. For Elvis 5.0 or 5.1, the Processing node needs to be run on Mac OS Xor Linux.

3 Not all file types are supported when using a Linux (processing) server. For more information see Supported file types.

4 CentOS/RHEL 7 use systemd. Our startup scripts are LSB compliant and will therefore also work with systemd.

Document history

  • 6 October 2016: Added support for Mac OS X 10.12 (Sierra).
Was this article helpful?
0 out of 0 found this helpful / Created: / Updated:
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.